:TITLE
Western Digital C24 DSP

:KEY
WDC24BB

:FILES :MODE=PRIMARY
DSPRES.DL_   %BOOTDRIVE%:\OS2\DLL
BASEVID      %BOOTDRIVE%:
VSVGA.SY_    %BOOTDRIVE%:\OS2\MDOS
WD90C24.DL_  %BOOTDRIVE%:\OS2\DLL

:FILES :MODE=PRIMARY :MODE=WINDOWS
WINDRV16.DR_   %WINPATH%\SYSTEM
WINDRV_8.DR_   %WINPATH%\SYSTEM
WINXFNTS       %WINPATH%\SYSTEM
WINFFNTS       %WINPATH%\SYSTEM

:CONFIG :MODE=PRIMARY
DEVINFO=SCR,VGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIDEO_DEVICES=VIO_SVGA
SET VIO_SVGA=DEVICE(BVHVGA,BVHSVGA)

:CONFIG :MODE=PRIMARY :MODE=BIDI
SET VIO_SVGA=DEVICE(BVHVGA,BVHSVGA,BDBVH)

:CONFIG :MODE=PRIMARY :MODE=DOS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VSVGA.SYS

:CONFIG :MODE=DUAL :MODE=DOS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VSVGA.SYS

:DEL_CONFIG_LINE :MODE=PRIMARY
SET VIO_%PRI% = DEVICE(BVH%PRI%,BDBVH)
SET VIO_8514A=DEVICE(BVHVGA,BVH8514A,BDBVH)
SET VIO_CGA=DEVICE(BVHCGA,BDBVH)
SET VIO_EGA=DEVICE(BVHEGA,BDBVH)
SET VIO_SVGA=DEVICE(BVHVGA,BVHSVGA,BDBVH)
SET VIO_VGA=DEVICE(BVHVGA,BDBVH)
SET VIO_VGA=DEVICE(BVHVGA,BVHSVGA,BDBVH)
SET VIO_XGA=DEVICE(BVHVGA,BVHXGA,BDBVH)

*:DELETING XGA LINES FOR PROTECT MODE
DEVICE=%BOOTDRIVE%:\OS2\XGARING0.SYS
DEVICE=%BOOTDRIVE%:\OS2\XGA.SYS
BASEDEV=XGA.SYS
SET VIO_XGA=DEVICE(BVHVGA,BVHXGA)

*:DELETING BGA LINES FOR PROTECT MODE
DEVINFO=SCR,BGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIO_8514A=DEVICE(BVHVGA,BVH8514A)

*:DELETING CGA LINES FOR PROTECT MODE
DEVINFO=SCR,EGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIO_CGA=DEVICE(BVHCGA)

*:DELETING EGA LINES FOR PROTECT MODE
DEVINFO=SCR,EGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIO_EGA=DEVICE(BVHEGA)

*:DELETING VGA LINES FOR PROTECT MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VVGA.SYS
SET VIO_VGA=DEVICE(BVHVGA)

:DEL_CONFIG_LINE :MODE=PRIMARY :MODE=DOS

*:DELETING S3 CORPS. DRIVERS STATEMENT FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VENH.SYS

*:DELETING XGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VXGA.SYS

*:DELETING BGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\V8514A.SYS

*:DELETING CGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VCGA.SYS

*:DELETING EGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VEGA.SYS

*:DELETING VGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VVGA.SYS

:OS2INI :MODE=PRIMARY
%BOOTDRIVE%:\OS2\INSTALL\REINSTAL.INI
InstallWindow VIOADAPTERSTR 7

:OS2INI :MODE=SECONDARY
%BOOTDRIVE%:\OS2\INSTALL\REINSTAL.INI
InstallWindow VIOADAPTER2STR 7

:OS2INI :MODE=PRIMARY
OS2.INI
PM_DISPLAYDRIVERS  WD90C24        WD90C24
PM_DISPLAYDRIVERS  CURRENTDRIVER  WD90C24
PM_DISPLAYDRIVERS  DEFAULTDRIVER  WD90C24
PM_Fonts           COURIERI
PM_Fonts           HELVI
PM_Fonts           TIMESI

* note graphics engine makes update to system.ini and win.ini based on
* the entries below for each resolution selected in the system folder
* PM_DISPLAYDRIVERS RESOLUTION_CHANGED 1 triggers graphics engine to
* makes its updates during reboot.

:OS2INI :MODE=PRIMARY :MODE=WINDOWS
OS2.INI
PM_DISPLAYDRIVERS RESOLUTION_CHANGED 1
WIN_RES_640x480x256    WIN_RES_SET    WIN_RES_WD_0
WIN_RES_800x600x256    WIN_RES_SET    WIN_RES_WD_1
WIN_RES_1024x768x256   WIN_RES_SET    WIN_RES_WD_2
WIN_RES_640x480x65536  WIN_RES_SET    WIN_RES_WD_3
WIN_RES_800x600x65536  WIN_RES_SET    WIN_RES_WD_4

WIN_RES_WD_0   1  "system.ini boot display.drv wd2408.drv"
WIN_RES_WD_0   2  "system.ini boot sdisplay.drv wd3108sl.drv"
WIN_RES_WD_0   3  "system.ini boot.description display.drv \"256 Color wdc24 accelerated\""
WIN_RES_WD_0   4  "system.ini boot.description sdisplay.drv \"256 Color wdc24 accelerated\""
WIN_RES_WD_0   5  "system.ini wd90c24 WidthxHeight  640x480"
WIN_RES_WD_0   6  "system.ini wd90c24 fontsize small"
WIN_RES_WD_0   7  "system.ini wd90c31sl WidthxHeight  640x480"
WIN_RES_WD_0   8  "system.ini wd90c31sl fontsize small"
WIN_RES_WD_0   9  "system.ini boot fonts.fon vgasys.fon"

WIN_RES_WD_1   1  "system.ini boot display.drv wd2408.drv"
WIN_RES_WD_1   2  "system.ini boot sdisplay.drv wd3108sl.drv"
WIN_RES_WD_1   3  "system.ini boot.description display.drv \"256 Color wdc24 accelerated\""
WIN_RES_WD_1   4  "system.ini boot.description sdisplay.drv \"256 Color wdc24 accelerated\""
WIN_RES_WD_1   5  "system.ini wd90c24 WidthxHeight  800x600"
WIN_RES_WD_1   6  "system.ini wd90c24 fontsize small"
WIN_RES_WD_1   7  "system.ini wd90c31sl WidthxHeight  800x600"
WIN_RES_WD_1   8  "system.ini wd90c31sl fontsize small"
WIN_RES_WD_1   9  "system.ini boot fonts.fon vgasys.fon"

WIN_RES_WD_2   1  "system.ini boot display.drv wd2408.drv"
WIN_RES_WD_2   2  "system.ini boot sdisplay.drv wd3108sl.drv"
WIN_RES_WD_2   3  "system.ini boot.description display.drv \"256 Color wdc24 accelerated\""
WIN_RES_WD_2   4  "system.ini boot.description sdisplay.drv \"256 Color wdc24 accelerated\""
WIN_RES_WD_2   5  "system.ini wd90c24 WidthxHeight  1024x768"
WIN_RES_WD_2   6  "system.ini wd90c24 fontsize large"
WIN_RES_WD_2   7  "system.ini wd90c31sl WidthxHeight  1024x768"
WIN_RES_WD_2   8  "system.ini wd90c31sl fontsize large"
WIN_RES_WD_2   9  "system.ini boot fonts.fon xgasys.fon"

WIN_RES_WD_3   1  "system.ini boot display.drv WD3116L.DRV"
WIN_RES_WD_3   2  "system.ini boot sdisplay.drv WD3116LS.DRV"
WIN_RES_WD_3   3  "system.ini boot.description display.drv \"640x480x65536 wdc24 accelerated\""
WIN_RES_WD_3   4  "system.ini boot.description sdisplay.drv \"640x480x65536 wdc24 accelerated\""
WIN_RES_WD_3   5  "system.ini wd90c31 WidthxHeight  640x480"
WIN_RES_WD_3   6  "system.ini wd90c31 fontsize small"
WIN_RES_WD_3   7  "system.ini wd90c31sl WidthxHeight  640x480"
WIN_RES_WD_3   8  "system.ini wd90c31sl fontsize small"
WIN_RES_WD_3   9  "system.ini boot fonts.fon vgasys.fon"

WIN_RES_WD_4   1  "system.ini boot display.drv WD3116H.DRV"
WIN_RES_WD_4   2  "system.ini boot sdisplay.drv WD3116HS.DRV"
WIN_RES_WD_4   3  "system.ini boot.description display.drv \"800x600x65536 wdc24 accelerated\""
WIN_RES_WD_4   4  "system.ini boot.description sdisplay.drv \"800x600x65536 wdc24 accelerated\""
WIN_RES_WD_4   5  "system.ini wd90c31 WidthxHeight  800x600"
WIN_RES_WD_4   6  "system.ini wd90c31 fontsize small"
WIN_RES_WD_4   7  "system.ini wd90c31sl WidthxHeight  800x600"
WIN_RES_WD_4   8  "system.ini wd90c31sl fontsize small"
WIN_RES_WD_4   9  "system.ini boot fonts.fon vgasys.fon"

* customize icon spacing for s3 below
:WININI :MODE=PRIMARY :MODE=WINDOWS
WIN.INI
Desktop IconSpacing 100

* system.ini entries below are written during the display installation.
* graphics engines then updates the system.ini based on the resolution
* selected from above entries.  Therefore, put common system.ini entries below

:WININI :MODE=PRIMARY :MODE=WINDOWS
SYSTEM.INI
boot  useos2shield 1
boot  os2shield winsheld.exe
wd90c24    fontsize  small
wd90c24    dacdepth   6
wd90c24    Enable216  0
wd90c31    fontsize  small
wd90c31    dacdepth   6 
wd90c31    Enable216  0 
wd90c31sl  fontsize  small
wd90c31sl  dacdepth   6 
wd90c31sl  Enable216  0 

* echo command to logfile in case cmd doesn't exist (error msg said bad path)
:RUN :MODE=PRIMARY :MODE=WINDOWS
CMD.EXE /C ECHO %BOOTDRIVE%:\OS2\INSTALL\TST4WOW.CMD %BOOTDRIVE%: %BOOTDRIVE%:\OS2\INSTALL\WD2431FU.DSA %BOOTDRIVE%:\OS2\INSTALL\WD2431WO.DSA 2>> %BOOTDRIVE%:\OS2\INSTALL\DSPINSTL.LOG 1>&2
CMD.EXE /C      %BOOTDRIVE%:\OS2\INSTALL\TST4WOW.CMD %BOOTDRIVE%: %BOOTDRIVE%:\OS2\INSTALL\WD2431FU.DSA %BOOTDRIVE%:\OS2\INSTALL\WD2431WO.DSA 2>> %BOOTDRIVE%:\OS2\INSTALL\DSPINSTL.LOG

